Index: gnome/lib/bonobo/bonobo-activation.ent
===================================================================
--- gnome/lib/bonobo/bonobo-activation.ent	(revision e70a4152f22c1a63387aa3656a28b96462bc4bb6)
+++ gnome/lib/bonobo/bonobo-activation.ent	(revision d718dddd0afe88e59b90ee65cbd7c1f936732963)
@@ -6,6 +6,6 @@
 <!ENTITY bonobo-activation-config SYSTEM "bonobo-activation-config.xml">
 <!ENTITY bonobo-activation-buildsize "5 MB">
-<!ENTITY bonobo-activation-version "1.0.4">
-<!ENTITY bonobo-activation-download-http "http://ftp.gnome.org/pub/GNOME/sources/bonobo-activation/1.0/bonobo-activation-1.0.4.tar.bz2">
-<!ENTITY bonobo-activation-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bonobo-activation/1.0/bonobo-activation-1.0.4.tar.bz2">
+<!ENTITY bonobo-activation-version "1.0.3">
+<!ENTITY bonobo-activation-download-http "http://ftp.gnome.org/pub/GNOME/sources/bonobo-activation/1.0/bonobo-activation-1.0.3.tar.bz2">
+<!ENTITY bonobo-activation-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bonobo-activation/1.0/bonobo-activation-1.0.3.tar.bz2">
 <!ENTITY bonobo-activation-size "448 KB">
Index: gnome/other/gdm/gdm-config.xml
===================================================================
--- gnome/other/gdm/gdm-config.xml	(revision e70a4152f22c1a63387aa3656a28b96462bc4bb6)
+++ gnome/other/gdm/gdm-config.xml	(revision d718dddd0afe88e59b90ee65cbd7c1f936732963)
@@ -9,5 +9,5 @@
 
 <para>The gdm PAM config files contain modules not present in a BLFS
-installation, therefore:</para>
+installation.  The following commands will replace those files:</para>
 <screen><userinput>cat &gt; /etc/pam.d/gdm &lt;&lt; "EOF"</userinput>
 auth        required    pam_unix.so
@@ -26,14 +26,70 @@
 <userinput>EOF</userinput></screen>
 
-<para>gpm can be tested by executing it from a root console.</para>
+<para>gdm can be tested by executing it from a root console.</para>
 
-<para>To complete the installation of gpm, you need to create an
-appropriate init.d script and place it in the
-<filename>/etc/rc.d/init.d</filename> directory, create the S and K
-files for the appropriate run level(s) and change the default runlevel in
-<filename>/etc/inittab</filename>.</para>
+<para>To automate the running of gdm, use the following command to
+create the init.d script:
+<screen><userinput>cat &gt; /etc/rc.d/init.d/gdm &lt;&lt; "EOF"</userinput>
+#!/bin/bash
+# Begin $rc_base/init.d/gdm
 
-<para><emphasis>If the above instructions seem vague to you, why are you
-installing this package?</emphasis></para>
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+        start)
+                echo "Starting gdm..."
+                loadproc gdm
+                ;;
+
+        stop)
+                echo "Stopping gdm..."
+                killproc gdm
+                ;;
+
+        reload)
+                echo "Reloading gdm..."
+                reloadproc gdm
+                ;;
+
+        restart)
+                $0 stop
+                sleep 1
+                $0 start
+                ;;
+
+        status)
+                statusproc gdm
+                ;;
+
+        *)
+                echo "Usage: $0 {start|stop|reload|restart|status}"
+                exit 1
+                ;;
+esac
+
+# End $rc_base/init.d/gdm
+<userinput>EOM
+chmod 755 /etc/rc.d/init.d/gdm</userinput></screen></para>
+
+<para>Create the symbolic links to this file in the relevant rc.d
+directory with the following commands:
+<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/gdm ../rc0.d/K05gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc1.d/K05gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc2.d/K05gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc3.d/K05gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc4.d/K05gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc5.d/S95gdm &amp;&amp;
+ln -sf ../init.d/gdm ../rc6.d/K05gdm</userinput></screen></para>
+
+<para>To autostart with a graphical login, edit
+<filename>/etc/inittab</filename> so that the line reading
+<screen>id:3:initdefault:</screen>
+is changed to 
+<screen>id:5:initdefault:</screen></para>
 
 </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e70a4152f22c1a63387aa3656a28b96462bc4bb6)
+++ introduction/welcome/changelog.xml	(revision d718dddd0afe88e59b90ee65cbd7c1f936732963)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>November 24th, 2002 [larry]: Gnome: Roll back to
+bonobo-activation-1.0.3.</para></listitem>
 
 <listitem><para>November 24th, 2002 [larry]: Gnome: Update to
